Page MenuHomePhabricator

Implement Feeds in the Android app.
Closed, ResolvedPublic

Description

Definition Progress

  • Summary
  • Rationale
  • Success Metrics
  • External Dependencies
  • Unknowns
  • Product Plan
    • Prototyping
    • MVP
    • User stories
    • User Story Phab Tickets
    • Metrics Implementation
    • Metrics Phab Tickets
    • Estimates
    • Delivery Date

Summary / Rationale

The current "Main Page" experience in the app is sub-optimal. The daily "featured article" is of interest to a small fraction of our users, and the "in the news" items are not presented as prominently as they can be. And yet, the Main Page is the first thing that the user sees after installing and launching the app. Therefore, the Main Page is our chance to make the best possible first impression on the user, so that the app becomes more of a destination for the user, resulting in improved user retention and increased pageviews.

While we implement the various types of feed content, we will also offload as much of the feed-generating logic as possible to the Content Service, so that the logic can be reused by other consumers.

Goal Visibility

WMF external goal

Success Metrics

Still being finalized, but the metrics will be based on engagement with the Feed, as well as improved user retention in the app.

External Dependencies

This depends on the reception and success of the feeds feature in the iOS app, due to be released before the quarter begins.

Unknowns

Which portions of feed content can be offloaded to the Content Service? (to be provided by iOS team)

Product Plan

Product Spec document

Prototyping

See dependent tasks.

MVP

Designs already exist in the iOS implementation.

  • Metrics Implementation

    See dependent tasks for eventlogging-based instrumentation.

    Timeline Estimate

    EOQ4

    Related Objects

    Event Timeline

    Dbrant created this task.Mar 7 2016, 3:01 PM
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 3:01 PM
    Dbrant updated the task description. (Show Details)Mar 7 2016, 3:24 PM

    Please link a wiki page explaining what "Feeds" is.

    RHo added a subscriber: RHo.Jun 3 2016, 7:56 PM
    Dbrant closed this task as Resolved.Jul 28 2016, 2:48 PM
    Dbrant claimed this task.